<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Teknisa\Model\Util\NovoCodigo;
use Zeedhi\Framework\DTO\Response\Error;

class crm00100MotivoContatoController extends TeknisaCrud {
    protected $dataSourceName = 'moticont';
    protected $suport_dataSourceName = 'moticontsuporte';
    protected $produto_dataSourceName = 'produto_moticont';

    public function findSuporte (DTO\Request\Filter $request, DTO\Response $response) {
        $previous_dataSourceName = $this->dataSourceName;
        $this->dataSourceName = $this->suport_dataSourceName;
        parent::find($request, $response);
        $this->dataSourceName = $previous_dataSourceName;
    }
    
    public function setMotivoCont(DTO\Request\DataSet $request, DTO\Response $response) {
        try {
            foreach ($request->getDataSet()->getRows() as &$row) {
                if (array_key_exists('CDMOTICONT', $row)) {
                    if ($row['__is_new']) {
                        $row['CDMOTICONT'] = NovoCodigo::geraCodigo($row['NRORG'], "MOTICONT", 1, 5, true, true);
                    }
                } else {
                    $row['CDMOTICONT'] = NovoCodigo::geraCodigo($row['NRORG'], "MOTICONT", 1, 5, true, true);
                }
            
            }
            parent::save($request, $response);
        } catch(\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function findProduto (DTO\Request\Filter $request, DTO\Response $response) {
        $previous_dataSourceName = $this->dataSourceName;
        $this->dataSourceName = $this->produto_dataSourceName;
        parent::find($request, $response);
        $this->dataSourceName = $previous_dataSourceName;
    }
    
    public function setProduto(DTO\Request\DataSet $request, DTO\Response $response) {
        
        $previous_dataSourceName = $this->dataSourceName;
        $this->dataSourceName = $this->produto_dataSourceName;
        $rows = $request->getDataSet()->getRows();
        
        parent::save($request, $response);
        $this->dataSourceName = $previous_dataSourceName;
    }
    
    public function deleteProduto(DTO\Request\Row $request, DTO\Response $response) {
        
        $previous_dataSourceName = $this->dataSourceName;
        $this->dataSourceName = $this->produto_dataSourceName;
        
        parent::delete($request, $response);
        $this->dataSourceName = $previous_dataSourceName;
    }
}