function crm_sla_recadoNotificalcao(CRM_Utilities, General, templateManager, ScreenService, restEngine, localStorageEngine, metaDataFactory) {


    this.porCento = function(field) {
        var fieldName = field.name;
        var desconto = field.widget.currentRow[fieldName];

        if ((desconto >= 0) && (desconto <= 100)) {
            field.widget.currentRow[fieldName] = desconto + '%';
        } else {
            field.widget.currentRow[fieldName] = "";
            ScreenService.notificationMessage("O valor de desconto percentual deve estar entre 0 e 100", "alert");
        }
    };

    this.habilitaFields = function() {
        var widget = templateManager.container.getActiveWidget();

        var fieldsName = [];
        if (widget.name == "WDGT_LEMBRETE_SLA") {
            fieldsName = ["NMREGRA", "NMREGRASOLU"];
            fieldsName.forEach(function(fieldName) {
                if (fieldName == "NMREGRA") {
                    if (!Util.isEmptyOrBlank(widget.currentRow[fieldName])) {
                        widget.getField('NRPERCENT').readOnly = false;
                        widget.getField('IDNOTIFICA').readOnly = false;
                        widget.getField('OPERADORESP').readOnly = false;

                        widget.getField('NRPERCENT').validations = {
                            "required": true
                        };
                        widget.getField('IDNOTIFICA').validations = {
                            "required": true
                        };
                    } else {
                        widget.getField('NRPERCENT').readOnly = true;
                        widget.getField('IDNOTIFICA').readOnly = true;
                        widget.getField('OPERADORESP').readOnly = true;

                        widget.getField('NRPERCENT').validations = "";
                        widget.getField('IDNOTIFICA').validations = "";
                    }
                } else if (fieldName == "NMREGRASOLU") {
                    if (!Util.isEmptyOrBlank(widget.currentRow[fieldName])) {
                        widget.getField('NRPERCENTSOLU').readOnly = false;
                        widget.getField('IDNOTIFICASOLU').readOnly = false;
                        widget.getField('OPERADOSOLU').readOnly = false;

                        widget.getField('NRPERCENTSOLU').validations = {
                            "required": true
                        };
                        widget.getField('IDNOTIFICASOLU').validations = {
                            "required": true
                        };
                    } else {
                        widget.getField('NRPERCENTSOLU').readOnly = true;
                        widget.getField('IDNOTIFICASOLU').readOnly = true;
                        widget.getField('OPERADOSOLU').readOnly = true;

                        widget.getField('NRPERCENTSOLU').validations = "";
                        widget.getField('IDNOTIFICASOLU').validations = "";
                    }
                }
            });
        } else {
            fieldsName = ["NMNOTIFICARESP", "NMNOTIFICARESO"];
            fieldsName.forEach(function(fieldName) {
                if (fieldName == "NMNOTIFICARESP") {
                    if (!Util.isEmptyOrBlank(widget.currentRow[fieldName])) {
                        widget.getField('IDNOTIFICAIMEDIATORESP').readOnly = false;
                        widget.getField('NRMINNOTIFICARESP').readOnly = false;
                        widget.getField('IDNOTIFICARESP').readOnly = false;
                        widget.getField('OPERADORESP').readOnly = false;

                        widget.getField('IDNOTIFICAIMEDIATORESP').validations = {
                            "required": true
                        };
                        widget.getField('NRMINNOTIFICARESP').validations = {
                            "required": true
                        };
                        widget.getField('IDNOTIFICARESP').validations = {
                            "required": true
                        };

                    } else {
                        widget.getField('IDNOTIFICAIMEDIATORESP').readOnly = true;
                        widget.getField('NRMINNOTIFICARESP').readOnly = true;
                        widget.getField('IDNOTIFICARESP').readOnly = true;
                        widget.getField('OPERADORESP').readOnly = true;

                        widget.getField('IDNOTIFICAIMEDIATORESP').validations = "";
                        widget.getField('NRMINNOTIFICARESP').validations = "";
                        widget.getField('IDNOTIFICARESP').validations = "";
                    }
                } else if (fieldName == "NMNOTIFICARESO") {
                    if (!Util.isEmptyOrBlank(widget.currentRow[fieldName])) {
                        widget.getField('IDNOTIFICAIMEDIATORESO').readOnly = false;
                        widget.getField('NRMINNOTIFICARESO').readOnly = false;
                        widget.getField('IDNOTIFICARESO').readOnly = false;
                        widget.getField('OPERADORESO').readOnly = false;

                        widget.getField('IDNOTIFICAIMEDIATORESO').validations = {
                            "required": true
                        };
                        widget.getField('NRMINNOTIFICARESO').validations = {
                            "required": true
                        };
                        widget.getField('IDNOTIFICARESO').validations = {
                            "required": true
                        };

                    } else {
                        widget.getField('IDNOTIFICAIMEDIATORESO').readOnly = true;
                        widget.getField('NRMINNOTIFICARESO').readOnly = true;
                        widget.getField('IDNOTIFICARESO').readOnly = true;
                        widget.getField('OPERADORESO').readOnly = true;

                        widget.getField('IDNOTIFICAIMEDIATORESO').validations = "";
                        widget.getField('NRMINNOTIFICARESO').validations = "";
                        widget.getField('IDNOTIFICARESO').validations = "";
                    }
                }
            });
        }

        if (widget.currentRow.__is_new == true) {
            widget.fieldGroups.forEach(function(fieldGroup) {
                fieldGroup.isVisible = true;
            });
        }

    };

    this.salvaRegraLembrete = function(widget) {
        if (widget.currentRow.__is_new == true) {
            if (!Util.isEmptyOrBlank(widget.currentRow.NMREGRA) || !Util.isEmptyOrBlank(widget.currentRow.NMREGRASOLU)) {

                var dataset = {};
                dataset.SLA = widget.parent.parent.currentRow.NRSEQSLA;
                dataset.RESP = [];
                dataset.SOLU = [];

                if (!Util.isEmptyOrBlank(widget.currentRow.NMREGRA)) {
                    var fieldsRESP = new Object();
                    fieldsRESP.NMREGRA = widget.currentRow.NMREGRA;
                    fieldsRESP.NRPERCENT = widget.currentRow.NRPERCENT.replace('%', '');
                    fieldsRESP.IDNOTIFICA = widget.currentRow.IDNOTIFICA;
                    fieldsRESP.OPERADORESP = widget.currentRow.OPERADORESP;
                    fieldsRESP.NRORG = widget.parent.parent.currentRow.NRORG;

                    dataset.RESP = fieldsRESP;
                }
                if (!Util.isEmptyOrBlank(widget.currentRow.NMREGRASOLU)) {

                    var fieldsSOLU = new Object();
                    fieldsSOLU.NMREGRASOLU = widget.currentRow.NMREGRASOLU;
                    fieldsSOLU.NRPERCENTSOLU = widget.currentRow.NRPERCENTSOLU.replace('%', '');
                    fieldsSOLU.IDNOTIFICASOLU = widget.currentRow.IDNOTIFICASOLU;
                    fieldsSOLU.OPERADOSOLU = widget.currentRow.OPERADOSOLU;
                    fieldsSOLU.NRORG = widget.parent.parent.currentRow.NRORG;

                    dataset.SOLU = fieldsSOLU;
                }

                General.callRestEngine("product#/crm_sla_lembreteNotificacao/sla_salvar_lembrete", "DataSet", [dataset]).then(function(response) {
                    ScreenService.closeSwipe().then(function() {
                    });

                }.bind(this));
                    widget.reload();

            } else {
                ScreenService.showMessage('Crie uma regra de Tempo de Resposta ou uma regra de Tempo de Solução');
            }
        } else {
            var paramsRestEngine = {};
            if (widget.currentRow.TIPOREGRA == "RESPOSTA") {
                widget.currentRow.NRPERCENT = parseInt(widget.currentRow.NRPERCENT.replace('%', ''));
                paramsRestEngine = {
                    requestType: 'Row',
                    row: widget.currentRow
                };
                restEngine.post('product#/crm_sla_lembreteNotificacao/sla_update_resposta', paramsRestEngine);
                widget.list(true);
                ScreenService.goBack().
                 then(function(){
                    var widget = templateManager.container.getActiveWidget();
                    widget.reload();
                    
                });

            } else if (widget.currentRow.TIPOREGRA == "RESOLUCAO") {
                widget.currentRow.NRPERCENTSOLU = parseInt(widget.currentRow.NRPERCENTSOLU.replace('%', ''));
                paramsRestEngine = {
                    requestType: 'Row',
                    row: widget.currentRow
                };
                restEngine.post('product#/crm_sla_lembreteNotificacao/sla_update_resolucao', paramsRestEngine);
                widget.list(true);
                ScreenService.goBack().
                then(function(){
                    var widget = templateManager.container.getActiveWidget();
                    widget.reload();
                    
                });
            }

            widget.reload();
        }
    };

    this.salvaRegraNotificacao = function(widget) {
        if (widget.currentRow.__is_new == true) {
            if (!Util.isEmptyOrBlank(widget.currentRow.NMNOTIFICARESP) || !Util.isEmptyOrBlank(widget.currentRow.NMNOTIFICARESO)) {

                var dataset = {};
                dataset.RESP = [];
                dataset.SOLU = [];

                if (!Util.isEmptyOrBlank(widget.currentRow.NMNOTIFICARESP)) {
                    var fieldsRESP = new Object();
                    fieldsRESP.NMNOTIFICARESP = widget.currentRow.NMNOTIFICARESP;
                    fieldsRESP.IDNOTIFICAIMEDIATORESP = widget.currentRow.IDNOTIFICAIMEDIATORESP;
                    fieldsRESP.NRMINNOTIFICARESP = parseInt(widget.currentRow.NRMINNOTIFICARESP);
                    fieldsRESP.IDNOTIFICARESP = widget.currentRow.IDNOTIFICARESP;
                    fieldsRESP.OPERADORESP = widget.currentRow.OPERADORESP;
                    fieldsRESP.NRORG = widget.parent.parent.currentRow.NRORG;
                    fieldsRESP.NRSEQSLA = widget.parent.parent.currentRow.NRSEQSLA;

                    dataset.RESP = fieldsRESP;
                }
                if (!Util.isEmptyOrBlank(widget.currentRow.NMNOTIFICARESO)) {
                    var fieldsSOLU = new Object();
                    fieldsSOLU.NMNOTIFICARESO = widget.currentRow.NMNOTIFICARESO;
                    fieldsSOLU.IDNOTIFICAIMEDIATORESO = widget.currentRow.IDNOTIFICAIMEDIATORESO;
                    fieldsSOLU.NRMINNOTIFICARESO = parseInt(widget.currentRow.NRMINNOTIFICARESO);
                    fieldsSOLU.IDNOTIFICARESO = widget.currentRow.IDNOTIFICARESO;
                    fieldsSOLU.OPERADORESO = widget.currentRow.OPERADORESO;
                    fieldsSOLU.NRORG = widget.parent.parent.currentRow.NRORG;
                    fieldsSOLU.NRSEQSLA = widget.parent.parent.currentRow.NRSEQSLA;

                    dataset.SOLU = fieldsSOLU;
                }

                General.callRestEngine("product#/crm_sla_lembreteNotificacao/sla_salvar_notificacao", "DataSet", [dataset]).then(function(response) {
                    ScreenService.closeSwipe().then(function() {
                        widget.reload();
                    });

                }.bind(this));

            } else {
                ScreenService.showMessage('Crie uma regra de Tempo de Resposta ou uma regra de Tempo de Solução');
            }

        }else{
            var paramsRestEngine = {};
            if (widget.currentRow.TIPOREGRA == "RESPOSTA") {
                paramsRestEngine = {
                    requestType: 'Row',
                    row: widget.currentRow
                };
                restEngine.post('product#/crm_sla_lembreteNotificacao/sla_update_respostaNoti', paramsRestEngine);
                widget.list(true);
                ScreenService.goBack(). 
                then(function(){
                    var widget = templateManager.container.getActiveWidget();
                    widget.reload();
                    
                });

            } else if (widget.currentRow.TIPOREGRA == "RESOLUCAO") {
                paramsRestEngine = {
                    requestType: 'Row',
                    row: widget.currentRow
                };
                restEngine.post('product#/crm_sla_lembreteNotificacao/sla_update_resolucaoNoti', paramsRestEngine);
                widget.list(true);
                ScreenService.goBack().
                then(function(){
                    var widget = templateManager.container.getActiveWidget();
                    widget.reload();
                    
                });
            }
        }
    };

    this.ocultaTipo = function(widget) {

        setTimeout(function() {

            if (widget.mode != "edit") {
                if (widget.name == "WDGT_LEMBRETE_SLA") {
                    if (widget.currentRow.TIPOREGRA == "RESPOSTA") {

                        widget.fieldGroups.forEach(function(fieldGroup) {
                            if (fieldGroup.name == "RESPOSTA") {
                                fieldGroup.isVisible = true;
                            } else {
                                fieldGroup.isVisible = false;
                            }
                        });

                        widget.getField('NRPERCENT').readOnly = false;
                        widget.getField('IDNOTIFICA').readOnly = false;
                        widget.getField('OPERADORESP').readOnly = false;

                    } else if (widget.currentRow.TIPOREGRA == "RESOLUCAO") {
                        widget.fieldGroups.forEach(function(fieldGroup) {
                            if (fieldGroup.name == "RESOLUCAO") {
                                fieldGroup.isVisible = true;
                            } else {
                                fieldGroup.isVisible = false;
                            }
                        });

                        widget.getField('NRPERCENTSOLU').readOnly = false;
                        widget.getField('IDNOTIFICASOLU').readOnly = false;
                        widget.getField('OPERADOSOLU').readOnly = false;


                        var solucao = new Object();

                        solucao.NMREGRASOLU = widget.currentRow.NMREGRA;
                        solucao.IDNOTIFICASOLU = widget.currentRow.IDNOTIFICA;
                        solucao.NRORG = widget.currentRow.NRORG;
                        solucao.NRPARCNEGOCIO = widget.currentRow.NRPARCNEGOCIO;
                        solucao.NRPERCENTSOLU = widget.currentRow.NRPERCENT;
                        solucao.NRREGRATEMPOSOLU = widget.currentRow.NRREGRATEMPO;
                        solucao.NRSEQSLA = widget.currentRow.NRSEQSLA;
                        solucao.TIPOREGRA = widget.currentRow.TIPOREGRA;
                        solucao.__isSelected = widget.currentRow.__isSelected;
                        solucao.__is_new = widget.currentRow.__is_new;

                        widget.currentRow = solucao;
                    }
                } else {
                    if (widget.currentRow.TIPOREGRA == "RESPOSTA") {
                        widget.fieldGroups.forEach(function(fieldGroup) {
                            if (fieldGroup.name == "RESPOSTA") {
                                fieldGroup.isVisible = true;
                            } else {
                                fieldGroup.isVisible = false;
                            }
                        });
                        widget.getField('IDNOTIFICAIMEDIATORESP').readOnly = false;
                        widget.getField('NRMINNOTIFICARESP').readOnly = false;
                        widget.getField('IDNOTIFICARESP').readOnly = false;
                        widget.getField('OPERADORESP').readOnly = false;

                        widget.getField('IDNOTIFICAIMEDIATORESP').validations = {
                            "required": true
                        };
                        widget.getField('NRMINNOTIFICARESP').validations = {
                            "required": true
                        };
                        widget.getField('IDNOTIFICARESP').validations = {
                            "required": true
                        };
                        var resposta = new Object();
                        resposta.IDNOTIFICAIMEDIATORESP     = widget.currentRow.IDNOTIFICAIMEDIATORESP;
                        resposta.IDNOTIFICARESP             = widget.currentRow.IDNOTIFICA;
                        resposta.NMNOTIFICARESP             = widget.currentRow.NMNOTIFICARESP;
                        resposta.NRMINNOTIFICARESP          = widget.currentRow.NRMINNOTIFICARESP;
                        resposta.NRNOTIFICATEMPORESP        = widget.currentRow.NRNOTIFICATEMPO;
                        resposta.NRORG                      = widget.currentRow.NRORG;
                        resposta.NRSEQSLA                   = widget.currentRow.NRSEQSLA;
                        resposta.TIPOREGRA                  = widget.currentRow.TIPOREGRA;
                        resposta.TIPORETRAVIEW              = widget.currentRow.TIPORETRAVIEW;
                        resposta.__index                    = widget.currentRow.__index;
                        resposta.__isSelected               = widget.currentRow.__isSelected;
                        resposta.__is_new                   = widget.currentRow.__is_new;

                        widget.currentRow = resposta;

                    } else if (widget.currentRow.TIPOREGRA == "RESOLUCAO") {
                        widget.fieldGroups.forEach(function(fieldGroup) {
                            if (fieldGroup.name == "RESOLUCAO") {
                                fieldGroup.isVisible = true;
                            } else {
                                fieldGroup.isVisible = false;
                            }
                        });

                        widget.getField('IDNOTIFICAIMEDIATORESO').readOnly = false;
                        widget.getField('NRMINNOTIFICARESO').readOnly = false;
                        widget.getField('IDNOTIFICARESO').readOnly = false;
                        widget.getField('OPERADORESO').readOnly = false;

                        widget.getField('IDNOTIFICAIMEDIATORESO').validations = {
                            "required": true
                        };
                        widget.getField('NRMINNOTIFICARESO').validations = {
                            "required": true
                        };
                        widget.getField('IDNOTIFICARESO').validations = {
                            "required": true
                        };

                        var resolucao = new Object();
                        resolucao.IDNOTIFICAIMEDIATORESO    = widget.currentRow.IDNOTIFICAIMEDIATORESP;
                        resolucao.IDNOTIFICARESO            = widget.currentRow.IDNOTIFICA;
                        resolucao.NMNOTIFICARESO            = widget.currentRow.NMNOTIFICARESP;
                        resolucao.NRMINNOTIFICARESO         = widget.currentRow.NRMINNOTIFICARESP;
                        resolucao.NRNOTIFICATEMPORESO       = widget.currentRow.NRNOTIFICATEMPO;
                        resolucao.NRORG                     = widget.currentRow.NRORG;
                        resolucao.NRSEQSLA                  = widget.currentRow.NRSEQSLA;
                        resolucao.TIPOREGRA                 = widget.currentRow.TIPOREGRA;
                        resolucao.TIPORETRAVIEW             = widget.currentRow.TIPORETRAVIEW;
                        resolucao.__index                   = widget.currentRow.__index;
                        resolucao.__isSelected              = widget.currentRow.__isSelected;
                        resolucao.__is_new                  = widget.currentRow.__is_new;

                        widget.currentRow = resolucao;
                    }
                }
            }
        }, 4);
    };

    this.filtroLembrete = function(widget) {
        widget.dataSourceFilter = [{
                "name": "NRORG",
                "operator": "IN",
                "value": "@[getLocalVar('CRM_NRORGTRAB'), getLocalVar('CRM_NRORGPADRAO')]@"
            },
            {
                "name": "NRSEQSLA",
                "operator": "=",
                "value": widget.parent.parent.currentRow.NRSEQSLA
            }
        ];

        widget.reload();
    };

    this.setParcNegocio = function(widget) {
        if (widget.name == "WDGT_LEMBRETE_SLA") {
            if (widget.currentRow.TIPOREGRA == "RESPOSTA") {
                restEngine.post("product#/crud/crm_analistaresposta", {
                    'requestType': 'FilterData',
                    filter: [{
                            operator: "=",
                            name: "NRSEQSLA",
                            value: widget.currentRow.NRSEQSLA
                        },
                        {
                            operator: "=",
                            name: "NRREGRATEMPORESP",
                            value: widget.currentRow.NRREGRATEMPO
                        },
                        {
                            operator: "=",
                            name: "NRORG",
                            value: widget.currentRow.NRORG
                        }
                    ]
                }).
                then(function(response) {

                    var parcnegociosRespostas = response.dataset.crm_analistaresposta;
                    var parceiros = parcnegociosRespostas.map(function(parcnegocioResposta) {
                        return parcnegocioResposta.NRPARCNEGOCIO;
                    }.bind(this));

                    widget.currentRow.OPERADORESP = parceiros;
                    // widget.getField('OPERADORESP').reload();
                }.bind(this));

            } else if (widget.currentRow.TIPOREGRA == "RESOLUCAO") {

                restEngine.post("product#/crud/crm_analistaresolucao", {
                    'requestType': 'FilterData',
                    filter: [{
                            operator: "=",
                            name: "NRSEQSLA",
                            value: widget.currentRow.NRSEQSLA
                        },
                        {
                            operator: "=",
                            name: "NRREGRATEMPORESO",
                            value: widget.currentRow.NRREGRATEMPO
                        },
                        {
                            operator: "=",
                            name: "NRORG",
                            value: widget.currentRow.NRORG
                        }
                    ]
                }).
                then(function(response) {

                    var parcnegociosRespostas = response.dataset.crm_analistaresolucao;
                    var parceiros = parcnegociosRespostas.map(function(parcnegocioResposta) {
                        return parcnegocioResposta.NRPARCNEGOCIO;
                    }.bind(this));

                    widget.currentRow.OPERADOSOLU = parceiros;
                    // widget.getField('OPERADOSOLU').reload();
                }.bind(this));
            }
        } else {
            if (widget.currentRow.TIPOREGRA == "RESPOSTA") {
                restEngine.post("product#/crud/crm_analistanotresposta", {
                    'requestType': 'FilterData',
                    filter: [{
                            operator: "=",
                            name: "NRSEQSLA",
                            value: widget.currentRow.NRSEQSLA
                        },
                        {
                            operator: "=",
                            name: "NRNOTIFICATEMPORESP",
                            value: widget.currentRow.NRNOTIFICATEMPO
                        },
                        {
                            operator: "=",
                            name: "NRORG",
                            value: widget.currentRow.NRORG
                        }
                    ]
                }).
                then(function(response) {

                    var parcnegociosRespostas = response.dataset.crm_analistanotresposta;
                    var nmparceiros = parcnegociosRespostas.map(function(parcnegocioResposta) {
                        return parcnegocioResposta.NMPRINCIPALPARC;
                    }.bind(this));
                    var parceiros = parcnegociosRespostas.map(function(parcnegocioResposta) {
                        return parcnegocioResposta.NRPARCNEGOCIO;
                    }.bind(this));

                    widget.currentRow.OPERADORESP = parceiros;
                    // widget.reload();
                    // widget.getField('OPERADORESP').reload();
                }.bind(this));

            } else if (widget.currentRow.TIPOREGRA == "RESOLUCAO") {

                restEngine.post("product#/crud/crm_analistanotresolucao", {
                    'requestType': 'FilterData',
                    filter: [{
                            operator: "=",
                            name: "NRSEQSLA",
                            value: widget.currentRow.NRSEQSLA
                        },
                        {
                            operator: "=",
                            name: "NRNOTIFICATEMPORESO",
                            value: widget.currentRow.NRNOTIFICATEMPO
                        },
                        {
                            operator: "=",
                            name: "NRORG",
                            value: widget.currentRow.NRORG
                        }
                    ]
                }).
                then(function(response) {

                    var parcnegociosSolucoes = response.dataset.crm_analistanotresolucao;
                    
                    var nmparceiros = parcnegociosSolucoes.map(function(parcnegociosSolucao) {
                        return parcnegociosSolucao.NMPRINCIPALPARC;
                    }.bind(this));
                    
                    var parceiros = parcnegociosSolucoes.map(function(parcnegociosSolucao) {
                        return parcnegociosSolucao.NRPARCNEGOCIO;
                    }.bind(this));

                    widget.currentRow.OPERADORESO = parceiros;
                    // widget.reload();
                    // widget.getField('OPERADORESO').reload();
                }.bind(this));
            } 
        }

    };

    this.excluiLembrete = function(widget) {
        ScreenService.confirmMessage('Deseja realmente excluir o lembrete?', 'QUESTION',
            function(success) {
                var paramsRestEngine = {
                    requestType: 'Row',
                    row: widget.currentRow
                };

                restEngine.post('product#/crm_sla_lembreteNotificacao/sla_exclui_lembrete', paramsRestEngine).
                then(function(response) {
                    ScreenService.showMessage('Lembrete excluido');
                    ScreenService.closeSwipe().then(function() {
                        ScreenService.closePopup(true);
                        widget.reload();
                    });

                }).catch(function(error) {
                    ScreenService.showMessage(error.data.error);
                });
            },
            function(cancel) {

            });
    };
    
    this.excluiNotificacao = function(widget){
        ScreenService.confirmMessage('Deseja realmente excluir a Notificação?', 'QUESTION',
            function(success) {
                var paramsRestEngine = {
                    requestType: 'Row',
                    row: widget.currentRow
                };

                restEngine.post('product#/crm_sla_lembreteNotificacao/sla_exclui_notificacao', paramsRestEngine).
                then(function(response) {
                    ScreenService.showMessage('Notificação excluida');
                    ScreenService.closeSwipe().then(function() {
                        ScreenService.closePopup(true);
                        widget.reload();
                    });

                }).catch(function(error) {
                    ScreenService.showMessage(error.data.error);
                });
            },
            function(cancel) {

            });
        
    };

    this.setDSRESPSOLU = function(widget) {
        if (widget.name == "WDGT_LEMBRETE_SLA") {
            widget.currentRow.DSRESPSOLU = "Defina uma regra de lembrete para quando o tempo de RESPOSTA ou SOLUÇÃO de um Ticket estiver próximo do limite estabelecido. Um e-mail será enviado caso o tempo atinja o percentual definido e o ticket não tenha tido nenhuma resposta e nem tenha sido solucionado pelo analista.";
        } else {
            widget.currentRow.DSRESPSOLU = "Defina uma regra de notificação para quando o tempo de RESPOSTA ou SOLUÇÃO de um Ticket atingir o limite estabelecido. Um e-mail será enviado caso o tempo atinja o tempo definido e o ticket não tenha tido nenhuma resposta e nem tenha sido solucionado pelo analista. Caso Notificar Imediatamente esteja configurado como Sim, um email será enviado imediamente quando o tempo da SLA chegar no limite e outro email será enviado após o tempo configurado em Notifica Após.";
        }
    };

}

Configuration(function(ContextRegister) {
    ContextRegister.register("crm_sla_recadoNotificalcao", crm_sla_recadoNotificalcao);
});