describe("DeveloperMenuEnrichment", function() {

	var groupMenu = [];
	groupMenu.push({
		"name": "menu1",
		"menus": [
			{
				"name": "menu1.1",
				"menus": [{
					"name": "menu1.1.1"
				}]
			},
			{
				"name": "menu1.2"
			}
		]
	});
	var project = { "__indexPath":"json/containers.json", "groupMenu": groupMenu };
	var developerMenuEnrichment;

	beforeEach(function(){
		window.templateUrl = "../../dyman/templates/dyman/";
		window.metadataUrl = "/json_test/test";
		window.serviceUrl = "../backend/service/index.php";    
		module('ZeedhiApp');
		developerMenuEnrichment = DeveloperMenuEnrichment;
	});

	it("DeveloperMenuEnrichment should copy the object into the object.", function () {
		developerMenuEnrichment.enrich(project);
		expect(project.__menuMetadata.groupMenu[0].name).toBe(project.groupMenu[0].name);
	});

	it("DeveloperMenuEnrichment should copy the project __indexPath into the __menuMetadata __indexPath.", function () {
		developerMenuEnrichment.enrich(project);
		expect(project.__menuMetadata.__indexPath).toBe(project.__indexPath);
	});

	it("DeveloperMenuEnrichment when change project groupMenu shouldn't change the __menuMetadata object.", function () {
		var testEnrich = project.groupMenu[0].name;
		developerMenuEnrichment.enrich(project);
		project.groupMenu.name = "newName";
		expect(project.__menuMetadata.groupMenu[0].name).toBe(testEnrich);
	});
});
