function DTComponentCRUD(SocketService, ElementToMetadataService, templateManager){
    var NEW = "NEW";
    var FILE_MODE = 'files';
    var MENU_MODE = 'menu';

    var changeJsonAndSendToWebSocket = function(json, path, completeJson, option){
        var indexPath = completeJson.__indexPath;
        delete completeJson.__indexPath;
        var containerToSend = ElementToMetadataService.changeJson(json, path, completeJson, option);
        if(containerToSend.somethingChange){
            containerToSend.completeJson.__indexPath = indexPath;
            SocketService.changeInClient(containerToSend.completeJson);
        }
    };

    var changeFileAndSendToWebSocket = function(newText, componentObject){
        if(componentObject.data){
            var somethingChange = ElementToMetadataService.hasChanged(newText, componentObject.data);
            if(somethingChange){
                componentObject.data = newText;
                SocketService.changeInClient(componentObject, "files");
            }
        }
    };

    this.saveComponentChange = function(newText, componentObject, path, inFileMode){
        if(newText && newText !== ""){
            if(inFileMode){
                changeFileAndSendToWebSocket(newText, componentObject);
            } else {
                changeJsonAndSendToWebSocket(newText, path, componentObject);
            }
        }
    };

    this.saveNewComponent = function(json, path, completeJson){
        changeJsonAndSendToWebSocket(json, path, completeJson, NEW);
    };

    this.deleteComponent = function(path, completeJson, deleteType){
        changeJsonAndSendToWebSocket(false, path, completeJson, deleteType);
    };

    this.newFile = function(data){
        SocketService.newFile(data);
    };
}