function ElementFileService(DevToolsService){
	var getPathToFile = function(metadataElement){
		var path = metadataElement.url.replace(/\/\//g, "/");
		return path.split("/");
	};

	var getFileElement = function(path, metadataElement){
		var url = metadataElement.url;
		var relativeUrl = metadataElement.relativeUrl;
		var script = {
			fileElement: "",
			fileUrl: url,
			metadataElement: metadataElement,
			path: path
		};

		if(url && relativeUrl){
			script = DevToolsService.requestMetadataDeveloper(relativeUrl).then(function(obj){
				return {
					fileElement: obj.data,
					fileUrl: url,
					__indexPath: url,
					path: path
				};
			});
		}

		return script;
	};

	this.getElementToEditor = function(metadataElement){
		var path = getPathToFile(metadataElement);
		return getFileElement(path, metadataElement);
	};
}